before_script:
# Installation de Docker sur le serveur (Debian)
- bash docker_install.sh > /dev/null

# Installation de Apache/PHP/Mariadb
- apt-get install -y apache2
- apt-get install php -y
- apt-get install php-xml -y
- apt-get install php-mbstring -y
- apt-get install mariadb-server -y
- apt-get install mariadb-client -y
- apt-get install php-cli php-fpm php-json php-pdo php-mysql php-zip php-gd  php-mbstring php-curl php-xml php-pear php-bcmath -y

# Configuration de Apache pour activer PDO
- phpenmod pdo_mysql
- service apache2 restart
- service apache2 status
- service mysql stop
- usermod -d /var/lib/mysql/ mysql
- service mysql start
- service mysql status

stages:
  - build
  - test
  - deploy

database:Integration:
  stage: build

  script:
    - echo "Phase de build"

test:validation-inventaire:
  stage: test

  script:
    # Installation de la base de données pour les tests
    - mysql --host=localhost --user=root  -E < materiaux.sql
    # Démarrage des tests avec phpUnit
    - phpunit --configuration config.xml

production:techinfo420.ca:
  stage: deploy
  needs:
    - test:validation-inventaire
  script:
    - ls -l
    - sftp -P 443 claude.techinfo420.ca
  only:
    - main